import { TechlifyUpdateService } from './../techlify-update.service';
import { OnInit } from '@angular/core';
import { MatSnackBar } from '@angular/material/snack-bar';
import { AlertService } from '../../core/alert.service';
import * as i0 from "@angular/core";
export declare class UpdateNotifierComponent implements OnInit {
    private snackBar;
    private techlifyUpdateService;
    private alertService;
    techlifyUpdate: any;
    rootNavUrl: string;
    constructor(snackBar: MatSnackBar, techlifyUpdateService: TechlifyUpdateService, alertService: AlertService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    getNewUpdate(): Promise<void>;
    showUpdate(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UpdateNotifierComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UpdateNotifierComponent, "app-update-notifier", never, { "rootNavUrl": { "alias": "rootNavUrl"; "required": false; }; }, {}, never, never, false, never>;
}
